#!/bin/sh

packageClient(){
    rm -rf dist*.zip
    rm -rf ./dist
    npm run build
    zip -r dist.zip ./dist/
}


publish(){
    packageClient
    npm publish --registry=http://wuzhixin.vip:4873
    rm -rf dist*.zip
}




# 帮助说明，用于提示输入参数信息
usage() {
    echo "Usage: sh maintance.sh [ packageClient | publish ]"
    exit 1
}



###################################
# 读取脚本的第一个参数($1)，进行判断
# 参数取值范围：{ stop | start }
# 如参数不在指定范围之内，则打印帮助信息
###################################
#根据输入参数，选择执行对应方法，不输入则执行使用说明
case "$1" in
  'packageClient')
    packageClient
    ;;
  'publish')
    publish
    ;;
  *)
    usage
    ;;
esac
exit 0